#ifndef CAN_NETWORK_H
#define CAN_NETWORK_H

#include <QObject>
#include <QTimer>
#include <QDebug>
#include <QCanBusDevice> // for CanBusError


class CAN_Network : public QObject
{
    Q_OBJECT
public:
    explicit CAN_Network(QObject *parent = nullptr);
    void start(QObject *qml = nullptr);
    ~CAN_Network();

signals:

public slots:

private slots:
    void doWork();
    void connectDevice();

private:
    QTimer timer;
    QObject *qmlObject;
    QCanBusDevice *m_canDevice = nullptr;
    QCanBusDevice *m_canDevice2 = nullptr;


};

#endif // CAN_NETWORK_H
